<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:g="http://www.ihe.net/gazelle"
                xmlns="http://www.w3.org/1999/xhtml">
    <gri:panel pid="metadata">
        <f:facet name="header">#{messages['net.ihe.gazelle.atna.TestMetadata']}</f:facet>
        <dl class="dl-horizontal">
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.atna.TestCase']}</ui:define>
                <g:link value="#{ti.testCase}" detailed="true"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.atna.PermanentLink']}</ui:define>
                <g:link value="#{ti}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.atna.TestedEndpoint']}</ui:define>
                <h:outputText value="#{ti.testedEndpoint}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.atna.AncillaryTransaction']}</ui:define>
                <g:link
                        value="#{ti.ancillaryTransaction}"
                        detailed="true"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.atna.ExecutionDate']}</ui:define>
                <g:date value="#{ti.timestamp}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.atna.Username']}</ui:define>
                <h:outputText value="#{ti.username}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml"
                        rendered="#{not s:hasRole('monitor_role')}">
                <ui:define name="label">#{messages['net.ihe.gazelle.atna.Status']}</ui:define>
                <h:outputText value="#{ti.testStatus}"/>
            </s:decorate>
        </dl>
        <s:div styleClass="form-horizontal" rendered="#{s:hasRole('monitor_role')}">
            <s:decorate template="/layout/form/_edit.xhtml">
                <ui:param name="id" value="statusIn"/>
                <ui:define name="label">#{messages['net.ihe.gazelle.atna.Status']}</ui:define>
                <h:selectOneMenu value="#{ti.testStatus}"
                                 styleClass="form-control  gzl-select-text" id="statusIn">
                    <f:selectItems value="#{xuaTestInstanceDisplay.getAvailableStatuses()}"/>
                    <a4j:ajax event="change" render="#{xuaTestInstanceDisplay.saveTestInstance()}"/>
                </h:selectOneMenu>
            </s:decorate>
        </s:div>
        <ui:insert name="footer"/>
    </gri:panel>
</ui:composition>